Page MenuHomePhabricator

TemplateData help link target is not translated
Closed, ResolvedPublic0 Story Points

Description

From frwiki “Questions techniques”.

In ext.templateDataGenerator.ui.js, the documentation link target is set to Extension:TemplateData which contains untranslated data about the extension.

The templatedata-helplink-target message is not used anywhere (or really hidden) and its documentation/name suggest that the link was supposed to use it. Using it, the target page would be configurable and default to the translated page Help:TemplateData.

Event Timeline

Ltrlg created this task.Sep 9 2015, 10:05 PM
Ltrlg updated the task description. (Show Details)
Ltrlg raised the priority of this task from to Needs Triage.
Ltrlg added a project: TemplateData.
Ltrlg added a subscriber: Ltrlg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2015, 10:05 PM
Ltrlg updated the task description. (Show Details)Sep 9 2015, 10:07 PM
Ltrlg set Security to None.

Change 237511 had a related patch set uploaded (by Ltrlg):
Use configurable link for documentation

https://gerrit.wikimedia.org/r/237511

Ltrlg claimed this task.Sep 10 2015, 9:55 PM
Jdforrester-WMF closed this task as Resolved.Sep 10 2015, 9:56 PM
Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Thanks!

Change 237511 merged by jenkins-bot:
Go back to using a configurable link for documentation

https://gerrit.wikimedia.org/r/237511

The_RedBurn renamed this task from TemplateData help link target is not transated to TemplateData help link target is not translated.Aug 9 2016, 3:25 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptAug 9 2016, 3:25 PM
Jdforrester-WMF set the point value for this task to 0.Aug 22 2016, 5:25 PM